Resumen de la clave
| Versión de la clave | V4 |
|---|---|
| Especificación | RFC 2440 · RFC 4880 · RFC 9580 |
| Estado | Compatible, pero desaconsejada por RFC 9580 |
| Clave principal (certificar, firmar) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| Subclave de cifrado | ECDH NIST P-256 · ID 18 |
| Huella digital | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| Frase de contraseña de la clave privada | synthetic-key-password |
Algoritmos y uso
ECDSA NIST P-256: Firma de curva elíptica sobre la curva NIST P-256, habitual en tarjetas inteligentes, HSM y entornos que requieren curvas NIST.
ECDH NIST P-256: Subclave de cifrado Diffie-Hellman de curva elíptica sobre NIST P-256.
Clave pública
El certificado público con la clave principal, la subclave de cifrado y sus firmas de vinculación. Impórtelo para verificar firmas o cifrar mensajes dirigidos a esta identidad de prueba.
Descargar → 725 bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
Clave privada
La clave privada, protegida con la frase de contraseña indicada arriba. Publicada solo para pruebas: cualquiera puede usarla.
Descargar → 951 bytes
Mostrar
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
Certificado de revocación
Un certificado de revocación generado de antemano. Al importarlo, la clave se marca como revocada; se publica para que pueda probar cómo gestiona el software las claves revocadas.
Descargar → 888 bytes
Mostrar
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
Firma de test_1MB.bin
Firma separada de test_1MB.bin con armadura ASCII, creada con esta clave en CH-J Tools. Guárdela como test_1MB.bin.asc junto al archivo de prueba.
Descargar → 228 bytes
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
Verificar la firma
Las claves de versión 4 funcionan con GnuPG y con herramientas SOP como sqop o rsop, siempre que los algoritmos sean compatibles. Use un GNUPGHOME temporal para que la clave de prueba no se añada a su anillo de claves real:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin